/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:41pm
Filepath: scripts\Items\Artifacts\leviathan\ColdHeart.cs
Lines of code: 42

Description: 

***********************************************************/


using Server;
using System;

namespace Server.Items
{
	
	public class ColdHeart : BodySash
	{
	
		public override int BasePhysicalResistance{ get{ return 0; } }
		public override int BaseColdResistance{ get{ return 0; } }
		
		[Constructable]
		public ColdHeart() : base()
		{
			Name = "Cold Heart";
			Hue = 28;
			
			Attributes.BonusDex = 5;
			Attributes.BonusStr = 5;	
			Attributes.NightSight = 1;
			
			Resistances.Physical=10;
			Resistances.Cold=10;
		}
		

		public ColdHeart( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 3 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version<=2)
			{
				Attributes.BonusDex = 5;
				Attributes.BonusStr = 5;	
				Attributes.NightSight = 1;
				
				Resistances.Physical=10;
				Resistances.Cold=10;		
			}
		}
	}
	
}